# Module is dynamically loaded and references to X Server, and other
# modules resolved at runtime.
%define _disable_ld_no_undefined 1

%define chipset		geode
# 20081113
%define snapshot	0
%define rel		1
%if %snapshot
%define release		%mkrel 10.%{snapshot}.%{rel}
%define distname	xf86-video-%{chipset}-%{snapshot}
%else
%define release		%mkrel %{rel}
%define distname	xf86-video-%{chipset}-%{version}
%endif

Name: x11-driver-video-%{chipset}
Version: 2.11.19
Release: %{release}
Summary: X.org driver for AMD Geode GX and LX Processors
Group: System/X11
URL: http://xorg.freedesktop.org
# git://anongit.freedesktop.org/git/xorg/driver/xf86-video-geode
# git archive --format=tar --prefix=xf86-video-geode-$(date +%Y%m%d)/ master |
#   bzip2 > ../xf86-video-geode-$(date +%Y%m%d).tar.bz2
Source: http://xorg.freedesktop.org/releases/individual/driver/%{distname}.tar.bz2
License: MIT
ExclusiveArch: %{ix86}
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.3.0
# geode replaces amd driver (renamed in order to prevent confusion after AMD/ATI
# merge), and cyrix and nsc drivers
# (http://lists.freedesktop.org/archives/xorg/2008-July/036970.html)
Provides: x11-driver-video-amd
Provides: x11-driver-video-cyrix
Provides: x11-driver-video-nsc
Obsoletes: x11-driver-video-amd
Obsoletes: x11-driver-video-cyrix <= 1.1.0-7mdv2008.1
Obsoletes: x11-driver-video-nsc <= 2.8.3-5mdv2009.0
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
This is the X graphics driver for the AMD Geode GX and LX processors.
The GX driver features XAA and EXA support for graphics acceleration,
and the LX driver supports EXA (including compositing).  Both drivers
suppport dynamic rotation with XRandR, and Xv overlay support.

%prep
%autosetup -p1 -n %{distname}
%if %snapshot
./autogen.sh
%endif

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%doc README TODO
%{_libdir}/xorg/modules/drivers/ztv_drv.la
%{_libdir}/xorg/modules/drivers/ztv_drv.so
%{_libdir}/xorg/modules/drivers/geode_drv.la
%{_libdir}/xorg/modules/drivers/geode_drv.so




%changelog
* Tue Dec 13 2016 tv <tv> 2.11.19-1.mga6
+ Revision: 1074464
- new release

* Thu Nov 17 2016 tv <tv> 2.11.18-3.mga6
+ Revision: 1067707
- add patch for xserver 1.19
- drop old unapplied Guillemot eCafe patch (sorry blino)
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 2.11.18-2.mga6
+ Revision: 1043238
- rebuild for xorg-server 1.18.4

* Thu Feb 11 2016 tv <tv> 2.11.18-1.mga6
+ Revision: 953751
- 2.11.18
- submit to core/release
- rebuild for new xserver

* Sun Jun 21 2015 tv <tv> 2.11.17-1.mga6
+ Revision: 837445
- drop useless patch
- new release
- rebuild for xserver 1.17

* Fri Oct 17 2014 luigiwalser <luigiwalser> 2.11.16-2.mga5
+ Revision: 771180
- add patch to fix build with glibc 2.20

* Sun Jul 20 2014 tv <tv> 2.11.16-1.mga5
+ Revision: 654657
- drop merged patch
- new release
- submit to core/release
- rebuild for new xserver RC
- rebuild for new xserver

* Sat Mar 08 2014 tv <tv> 2.11.15-2.mga5
+ Revision: 601294
- patch1: fix compiling with xserver 1.15 (from FC)
- new release

* Sun Oct 13 2013 tv <tv> 2.11.15-1.mga4
+ Revision: 496145
- new release
- new release

* Thu May 30 2013 tv <tv> 2.11.14-3.mga4
+ Revision: 433152
- submit to core/release

* Fri May 24 2013 tv <tv> 2.11.14-2.mga4
+ Revision: 425995
- patch 1: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 2.11.14-2.mga3
+ Revision: 385982
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 tv <tv> 2.11.14-1.mga3
+ Revision: 322146
- new release

* Thu Sep 13 2012 tv <tv> 2.11.13-4.20120913.5.mga3
+ Revision: 293571
- new snapshot (support for newer x11-server)
- rebuild for new x11-server
- rebuild for new xserver
- rebuild for new xserver

* Wed Jun 06 2012 tmb <tmb> 2.11.13-4.mga3
+ Revision: 256388
- rebuild for core/release

* Sat Jun 02 2012 tv <tv> 2.11.13-3.mga3
+ Revision: 253189
- rebuild b/c of ia32 failure
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 2.11.13-2.mga3
+ Revision: 249945
- rebuild for new X.org server

* Tue Jan 17 2012 tv <tv> 2.11.13-1.mga2
+ Revision: 197669
- new release

* Tue Dec 06 2011 tmb <tmb> 2.11.12-4.mga2
+ Revision: 177733
- submit to core/release

* Mon Nov 28 2011 tmb <tmb> 2.11.12-3.mga2
+ Revision: 173769
- rebuild against new x11-server

* Fri Mar 04 2011 tv <tv> 2.11.12-2.mga1
+ Revision: 64442
- rebuild for new xserver-1.10

* Fri Feb 18 2011 tv <tv> 2.11.12-1.mga1
+ Revision: 53915
- new release

* Fri Feb 11 2011 tmb <tmb> 2.11.11-1.mga1
+ Revision: 50209
- imported package x11-driver-video-geode

